com.smartgwt.client.widgets.events

## Class YesClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<YesClickHandler>
        - - com.smartgwt.client.widgets.events.YesClickEvent

-     public class YesClickEvent
      extends BrowserEvent<YesClickHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YesClickEvent(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(YesClickHandler handler)`
    `static <S extends HasYesClickHandlers & HasHandlers> void` | `fire(S source, JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `GwtEvent.Type<YesClickHandler>` | `getAssociatedType()`
    `static GwtEvent.Type<YesClickHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### YesClickEvent

          public YesClickEvent(JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasYesClickHandlers & HasHandlers> void fire(S source,
                                                               JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static GwtEvent.Type<YesClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(YesClickHandler handler)

      Specified by:
        `dispatch` in class `GwtEvent<YesClickHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<YesClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `GwtEvent<YesClickHandler>`